Subject: [PATCH v2 0/7] introduce capture_command to avoid deadlocks

From: Jeff King <[email-masked]>
Date: Sun, 22 Mar 2015 23:53:02 -0400

On Sun, Mar 22, 2015 at 04:40:37PM -0700, Junio C Hamano wrote:

> Now I read the callers, it does look like this new function better
> fits in the run-command suite, essentially allowing us to do what we
> would do with $(cmd) or `cmd` in shell and Perl scripts, even though
> I do not particularly agree with the phrase "layering violation" to
> call its current placement.

I was on the fence, and you both seem to prefer it in run-command, so
here is a re-roll in that direction (no other changes).

  [1/7]: wt-status: don't flush before running "submodule status"
  [2/7]: wt_status: fix signedness mismatch in strbuf_read call
  [3/7]: run-command: introduce capture_command helper
  [4/7]: wt-status: use capture_command
  [5/7]: submodule: use capture_command
  [6/7]: trailer: use capture_command
  [7/7]: run-command: forbid using run_command with piped output

-Peff